Package Details: efl-git 1.23.99.64945.g8ec6e28b7c-1

Git Clone URL: https://aur.archlinux.org/efl-git.git (read-only, click to copy)
Package Base: efl-git
Description: Enlightenment Foundation Libraries - Development version
Upstream URL: http://www.enlightenment.org
Licenses: GPL2, custom, BSD, MIT, LGPL2.1
Conflicts: efl, elementary, elementary-git, elementary_test, elementary_test-git, evas_generic_loaders, evas_generic_loaders-git
Provides: efl=1.23.99.64945.g8ec6e28b7c, elementary=1.23.99.64945.g8ec6e28b7c, elementary-git=1.23.99.64945.g8ec6e28b7c, evas_generic_loaders=1.23.99.64945.g8ec6e28b7c
Submitter: Scimmia
Maintainer: raster
Last Packager: raster
Votes: 87
Popularity: 0.054589
First Submitted: 2013-02-15 10:00
Last Updated: 2020-01-28 08:35

Dependencies (59)

Required by (57)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

Scimmia commented on 2016-05-28 20:50

Yeah, I need to adjust this for elput as well as the upcoming evas_generic_loaders and emotion_generic_players merges. I won't get to it for a couple of days, we'll see how the merge goes.

T_UNIX commented on 2016-05-28 15:51

with recent git versions, elput needs to be enabled too (--enable-elput), to make the requested drm work.

Scimmia commented on 2015-04-10 17:06

Stefan Schmidt is closing in on the issue. He's going to wait until he has more time on Monday to commit a fix, though. If you need to build on a fresh system or in a clean chroot before then, just install efl from [extra] before building this.

Scimmia commented on 2015-04-10 00:08

We've run into this before, the solution is usually to install efl from [extra] before building this one. Give it a try.

This is something that will need to be fixed upstream.

Scimmia commented on 2015-04-10 00:03

pkgrel bump for another poppler soname bump

MarcusMoeller commented on 2015-04-09 06:56

Compilation fails with:
libtool: error: error: relink 'lib/ecore_drm/libecore_drm.la' with the above command before installing it

Scimmia commented on 2015-03-05 22:32

Another poppler soname bump

Scimmia commented on 2015-02-18 16:08

pkgver bump because this needs rebuilt for a libinput soname bump.

Scimmia commented on 2015-02-04 16:23

pkgrel bump for poppler soname bump

Scimmia commented on 2015-01-27 21:22

No. --enable-wayland gets us the wayland shm backends. The wayland egl backends (--enable-egl) require --with-opengl=es, and I will NOT be switching the entirety of EFL away from full opengl. Hopefully there will be a way to build both glx and gles in the future, but until then we're stuck with the shm backends only.

--disable-egl and --with-opengl=full are the defaults, I only have them in the PKGBUILD to make it an easy edit for those that decide they want to build against gles.